<div dir="ltr"><div>Hi,</div><div><br></div><div>I am using qbs 1.13.1. When I built a simple project generated by Qt Creator, I got an error message.</div><div>"cc1plus: error: command line option ‘-pthread’ is valid for the driver but not for C++"</div><div><br></div><div>I encountered this error too when use 
qbs file generated by conan to add dependency of opencv 4.0.1 to my project.<br></div><div><br></div><div>
How to add -pthread option into projects? <br></div><div><br></div><div>Thanks,<br></div><div>Vincent<br></div><div><br></div><div>my qbs file</div><div>"</div><div>import qbs<br><br>CppApplication {<br>    consoleApplication: true<br>    files: "main.cpp"<br>    cpp.cppFlags: ["-pthread"]<br><br>    Group {     // Properties for the produced executable<br>        fileTagsFilter: "application"<br>        qbs.install: true<br>        qbs.installDir: "bin"<br>    }<br>}</div><div>"</div><div>main.cpp</div><div>"</div><div>#include <iostream><br><br>using namespace std;<br><br>int main()<br>{<br>    cout << "Hello World!" << endl;<br>    return 0;<br>}</div><div>"<br></div></div>